Name:    lxqt-runner
Summary: Application runner agent for LXQt desktop suite
Version: 0.11.0
Release: 7%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
# This file is generated by the script getTranslations as Fedora not
# have the l10n package yet
Source1: %{name}-l10n-0.11.0.tar.xz
# Upstreamed
Patch0: 0001-Fix-endif-placement-when-test-for-MATH-library.patch
BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: pkgconfig(lxqt) >= 0.11.0
BuildRequires: pkgconfig(lxqt-globalkeys) >= 0.11.0
BuildRequires: pkgconfig(lxqt-globalkeys-ui) >= 0.11.0
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Xdg)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
%if 0%{?fedora}
BuildRequires: pkgconfig(muparser)
%endif

%description
%{summary}.

%prep
%setup -q -a 1
%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_lxqt} \
%if 0%{?rhel}
    -DRUNNER_MATH=OFF \
%endif
    -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-qt

%files -f %{name}.lang
%{_bindir}/lxqt-runner

%changelog
* Tue Sep 27 2016 Helio Chissini de Castro <helio@kde.org> - 0.11.0-7
- Fix bug with invalid test against MATH lib

* Mon Sep 26 2016 Helio Chissini de Castro <helio@kde.org> - 0.11.0-6
- Epel seens not like menu-cache that much

* Mon Sep 26 2016 Helio Chissini de Castro <helio@kde.org> - 0.11.0-1
- New upstream version 0.11.0

* Wed May 25 2016 Than Ngo <than@redhat.com> 0.10.0-5
- add rhel support

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Helio Chissini de Castro <helio@kde.org> - 0.10.0-3
- Another razorqt obsoletes

* Thu Dec 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.10.0-2
- Use new cmake_lxqt infra

* Mon Nov 02 2015 Helio Chissini de Castro <helio@kde.org> - 0.10.0-1
- New upstream version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Wed Feb 18 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-4
- Rebuild (gcc5)

* Tue Feb 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-3
- Obsoletes razorqt-runner

* Mon Feb 09 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-2
- Proper add locale for Qt tm files

* Sun Feb 08 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-1
- New upstream release 0.9.0

* Tue Feb 03 2015 Helio Chissini de Castro <hcastro@redhat.com> - 0.9.0-0.1
- Preparing 0.9.0 release

* Mon Dec 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-5
- Rebuild against new Qt 5.4.0

* Sat Dec 20 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-4
- Unify naming as discussed on Fedora IRC

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Fix review issues on https://bugzilla.redhat.com/show_bug.cgi?id=1159841
- Moved autosetup in favor of standard setup due older distros not support the macro

* Mon Nov 03 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Update for package review

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base
